mia::CFastICANonlinearityBase Class Referenceabstract

`#include <mia/core/fastica_nonlinearity.hh>`

Inheritance diagram for mia::CFastICANonlinearityBase:
[legend]
Collaboration diagram for mia::CFastICANonlinearityBase:
[legend]

## Public Types

typedef CFastICANonlinearityBase | plugin_data
| helper typedef for plugin handling
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

| CFastICANonlinearityBase ()
void | set_mu (double m)
void | set_signal (const gsl::Matrix *signal)
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | data_descr

## Protected Member Functions

double | get_mu () const
double | get_sample_scale () const
const gsl::Matrix & | get_signal () const

## Detailed Description

Definition at line 32 of file fastica_nonlinearity.hh.

## Member Typedef Documentation

## plugin_data

typedef CFastICANonlinearityBase mia::CFastICANonlinearityBase::plugin_data

helper typedef for plugin handling

Definition at line 37 of file fastica_nonlinearity.hh.

## Constructor & Destructor Documentation

## CFastICANonlinearityBase()

mia::CFastICANonlinearityBase::CFastICANonlinearityBase | ( |  | ) |

## Member Function Documentation

## get_mu()

double mia::CFastICANonlinearityBase::get_mu | ( |  | ) | const

inline protected

Definition at line 51 of file fastica_nonlinearity.hh.

## get_sample_scale()

double mia::CFastICANonlinearityBase::get_sample_scale | ( |  | ) | const

inline protected

Definition at line 47 of file fastica_nonlinearity.hh.

## get_signal()

const gsl::Matrix & mia::CFastICANonlinearityBase::get_signal | ( |  | ) | const

protected

## set_mu()

void mia::CFastICANonlinearityBase::set_mu | ( | double | m | ) |

## set_signal()

void mia::CFastICANonlinearityBase::set_signal | ( | const gsl::Matrix * | signal | ) |

## Field Documentation

## data_descr

const char* mia::CFastICANonlinearityBase::data_descr

static

Definition at line 39 of file fastica_nonlinearity.hh.

The documentation for this class was generated from the following file:

- fastica_nonlinearity.hh